iSndSysEventRecorder Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSndSysEventRecorder Struct Reference
Sound system

An interface designed for the debugging needs of the sound system. More...

`#include <isndsys/ss_eventrecorder.h>`

Inheritance diagram for iSndSysEventRecorder:

List of all members.

## Public Member Functions
virtual void | RecordEvent (SndSysEventCategory, SndSysEventLevel, const char *Description,...)=0
| Log an event with typical variable argument format.
virtual void | RecordEventV (SndSysEventCategory, SndSysEventLevel, const char *Description, va_list)=0
| Log an event with va_list argument passing - useful if you have a logging wrapper function.

## Detailed Description

An interface designed for the debugging needs of the sound system.

Important events in the sound system happen many times per second. Logging or reporting such a massive amount of data can be unweildy (and annoying if you're not debugging the sound system).

Additionally, sound events are often time critical - just knowing that a buffer was filled after some other action is frequently not enough. A frequent requirement is to know the exact time between two events - as precise as possible.

This interface provides these services for the sound system.

Definition at line 62 of file ss_eventrecorder.h.

## Member Function Documentation

virtual void iSndSysEventRecorder::RecordEvent | ( | SndSysEventCategory | ,
|  | SndSysEventLevel | ,
|  | const char * | Description,
|  |  | ...
| ) |  | `[pure virtual]`

Log an event with typical variable argument format.

virtual void iSndSysEventRecorder::RecordEventV | ( | SndSysEventCategory | ,
|  | SndSysEventLevel | ,
|  | const char * | Description,
|  | va_list |
| ) |  | `[pure virtual]`

Log an event with va_list argument passing - useful if you have a logging wrapper function.

The documentation for this struct was generated from the following file:

- isndsys/ss_eventrecorder.h